import { InjectionToken, NgModule } from '@angular/core';

export interface IENVIRONMENT {
  production: boolean;
  useLoginWithJWT?: boolean;
  dontUseWindowsLogin?: boolean;
  apiUrl: string;
  APP_TITLE: string;
  appVersion?: string;
  appBuild?: string;
  sentry_dsn?: string;
  translationFolder: string;
  headerData?: string;
  culture?: string;
  language?: string;
  protocol?: string;
}


export const ENVIRONMENT_TOKEN = new InjectionToken<IENVIRONMENT>('environment');
export const SUPPORTED_LANGUAGES_TOKEN = new InjectionToken<string[]>('Languages supported by App');
export const SUPPORTED_CULTURES_TOKEN = new InjectionToken<string[]>('Culturess supported by App');

export const APPICON4TEST_TOKEN = new InjectionToken<string>('APPICON4TEST_TOKEN', {
  providedIn: 'root',
  factory: () => 'assets/icons/hr-logo_red.ico',
});
export const APPICON4LIVE_TOKEN = new InjectionToken<string>('APPICON4LIVE_TOKEN', {
  providedIn: 'root',
  factory: () => 'assets/icons/hr-logo_color.ico',
});
export const APPICON4NAVBAR_TOKEN = new InjectionToken<string>('APPICON4NAVBAR_TOKEN', {
  providedIn: 'root',
  factory: () => 'assets/icons/hr-logo_bright.ico',
});
